<?php
date_default_timezone_set('America/Lima');

class cQuiebrestock_cst{

	
	
	
	
	function mostrar_Quiebrestockporventas($fec1,$fec2,$alm_id,$punven_id){
		$sql = "select sum(vd.tb_ventadetalle_can) as 'cantidadvendida',
            pro.tb_producto_nom,m.tb_marca_nom,em.tb_empaque_nom,
        (select s.tb_stock_num from tb_stock s where tb_almacen_id = '$alm_id' and s.tb_catalogo_id = vd.tb_catalogo_id and s.tb_marca_id = vd.tb_marca_id) as 'stock' from tb_ventadetalle vd 
		inner join tb_venta v on vd.tb_venta_id = v.tb_venta_id
        inner join tb_catalogo ct on ct.tb_catalogo_id = vd.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        inner join tb_marca m on m.tb_marca_id = vd.tb_marca_id
        inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
		where v.tb_venta_xac = '1' and v.tb_puntoventa_id = '$punven_id'
		and v.tb_venta_fec between '$fec1' and '$fec2' 
     GROUP by vd.tb_catalogo_id,vd.tb_marca_id,m.tb_marca_nom,em.tb_empaque_nom,pro.tb_producto_nom;  ";
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	
	
	
	
	function mostrar_Quiebrestock($punven_id){
		$sql=" select * from tb_stock s where s.tb_stock_num <=0  "; 
	 
	 	if($punven_id!="")$sql.=" and s.tb_almacen_id =  '$punven_id' ";
	 
        //$sql = $sql." limit 10 ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	function mostrar_Quiebrestock2($alm_id){
		$sql=" select s.tb_almacen_id,s.tb_catalogo_id,s.tb_marca_id,s.tb_stock_num,m.tb_marca_nom,em.tb_empaque_nom,pro.tb_producto_nom from tb_stock s 
        inner join tb_catalogo ct on ct.tb_catalogo_id = s.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
        inner join tb_marca m on m.tb_marca_id = s.tb_marca_id
        where ct.tb_catalogo_xac = 1 and  s.tb_stock_num <=0 "; 
	 
	 	if($alm_id!="")$sql.=" and s.tb_almacen_id = '$alm_id' ";
	 
        $sql = $sql." GROUP by s.tb_almacen_id,s.tb_catalogo_id,s.tb_marca_id,s.tb_stock_num,m.tb_marca_nom,em.tb_empaque_nom,pro.tb_producto_nom ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	function mostrarUno_producto($cat_id,$mar_id){
		$sql = "select * from tb_productomarca pm 
        inner join tb_marca m on m.tb_marca_id = pm.tb_marca_id
        inner join tb_catalogo ct on ct.tb_catalogo_id = pm.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
        where pm.tb_productomarca_xac = '1'  ";
		
		if($cat_id!="")$sql.=" AND pm.tb_catalogo_id = '$cat_id' ";
		if($mar_id!="")$sql.=" AND pm.tb_marca_id = '$mar_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
		
	function mostrar_QuiebrestockSuma2($punven_id,$fec1,$fec2,$cat_id,$mar_id){
		$sql="select sum(vd.tb_ventadetalle_can) as 'cantidadvendida',pro.tb_producto_nom,m.tb_marca_nom,em.tb_empaque_nom,ct.tb_catalogo_xac from tb_ventadetalle vd 
		inner join tb_venta v on vd.tb_venta_id = v.tb_venta_id
        inner join tb_catalogo ct on ct.tb_catalogo_id = vd.tb_catalogo_id
        inner join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
        inner join tb_marca m on m.tb_marca_id = vd.tb_marca_id
        inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id
		where v.tb_venta_xac = '1' and vd.tb_catalogo_id = '$cat_id' and vd.tb_marca_id = '$mar_id' and v.tb_puntoventa_id = '$punven_id'
		and v.tb_venta_fec between '$fec1' and '$fec2'  ";
		

		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	

		
	function mostrar_QuiebrestockSuma($punven_id,$fec1,$fec2,$cat_id,$mar_id){
		$sql="select sum(vd.tb_ventadetalle_can) as 'cantidadvendida' from tb_ventadetalle vd 
		inner join tb_venta v on vd.tb_venta_id = v.tb_venta_id
		where v.tb_venta_xac = '1' and vd.tb_catalogo_id = '$cat_id' and vd.tb_marca_id = '$mar_id' and v.tb_puntoventa_id = '$punven_id'
		and v.tb_venta_fec between '$fec1' and '$fec2'  ";
		

		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	

}
?>